﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript;
using Autocomplete_Sample.Models;

namespace Autocomplete_Sample.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {            
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public JsonResult getdata(DataManager dm)
        {
            List<Sample> sampledata = new List<Sample>();
            for (var i = 1; i <= 350000; i++)
            {
                if (i > 0 && i <= 40000)
                {
                    sampledata.Add(new Sample { index = "s" + i, dataValue = "avalue" + i });
                }
                else if (i > 40000 && i <= 80000)
                {
                    sampledata.Add(new Sample { index = "s" + i, dataValue = "bvalue" + i });
                }
                else if (i > 80000 && i <= 120000)
                {
                    sampledata.Add(new Sample { index = "s" + i, dataValue = "cvalue" + i });
                }
                else if (i > 160000 && i <= 200000)
                {
                    sampledata.Add(new Sample { index = "s" + i, dataValue = "dvalue" + i });
                }
                else if (i > 200000 && i <= 240000)
                {
                    sampledata.Add(new Sample { index = "s" + i, dataValue = "evalue" + i });
                }
                else if (i > 240000 && i <= 280000)
                {
                    sampledata.Add(new Sample { index = "s" + i, dataValue = "fvalue" + i });
                }
                else if (i > 280000 && i <= 320000)
                {
                    sampledata.Add(new Sample { index = "s" + i, dataValue = "gvalue" + i });
                }
                else if (i > 320000 && i <= 350000)
                {
                    sampledata.Add(new Sample { index = "s" + i, dataValue = "hvalue" + i });
                }
            }
            string r = dm.Where[0].value.ToString();
            var searchResult = from n in sampledata where n.dataValue.StartsWith(r) select n;
            return Json(searchResult, JsonRequestBehavior.AllowGet);
        }


        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}